curl --location --request POST 'https://app.gpt-trainer.com/api/v1/data-source/{uuid}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"title": "string"
}'
import requests
uuid = '<source-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/data-source/{uuid}/update'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"title": "string"
}
response = requests.post(url, headers=headers, params=params, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<source-uuid>'
const url = `https://app.gpt-trainer.com/api/v1/data-source/${uuid}/update`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
const data = {
"title": "string",
};
axios.post(url, data, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
Data Sources
Update Source
Update source meta base on uuid
POST
/
api
/
v1
/
data-source
/
{uuid}
/
update
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/data-source/{uuid}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"title": "string"
}'
import requests
uuid = '<source-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/data-source/{uuid}/update'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"title": "string"
}
response = requests.post(url, headers=headers, params=params, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<source-uuid>'
const url = `https://app.gpt-trainer.com/api/v1/data-source/${uuid}/update`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
const data = {
"title": "string",
};
axios.post(url, data, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
Path
string
required
Body
string
required
Response
string
string
number
string
string
string
string
string
number
string
curl --location --request POST 'https://app.gpt-trainer.com/api/v1/data-source/{uuid}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"title": "string"
}'
import requests
uuid = '<source-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/data-source/{uuid}/update'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"title": "string"
}
response = requests.post(url, headers=headers, params=params, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<source-uuid>'
const url = `https://app.gpt-trainer.com/api/v1/data-source/${uuid}/update`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
const data = {
"title": "string",
};
axios.post(url, data, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
⌘I